#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_FUNC(ib_query_nvmf_ns, "", "");
KSYMTAB_FUNC(ib_get_dma_mr, "", "");
KSYMTAB_FUNC(ib_create_nvmf_backend_ctrl, "_gpl", "");
KSYMTAB_FUNC(ib_destroy_nvmf_backend_ctrl, "_gpl", "");
KSYMTAB_FUNC(ib_attach_nvmf_ns, "_gpl", "");
KSYMTAB_FUNC(ib_detach_nvmf_ns, "_gpl", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_port, "", "");
KSYMTAB_FUNC(roce_del_all_netdev_gids, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xb971521b, "");
SYMBOL_CRC(ib_wc_status_msg, 0x14518505, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x7704d480, "");
SYMBOL_CRC(__ib_alloc_pd, 0x8bb5bf74, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x89d579f1, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x4f4a62cf, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0xd56b3372, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xd66644bd, "");
SYMBOL_CRC(rdma_create_ah, 0x4be57079, "");
SYMBOL_CRC(rdma_create_user_ah, 0xc1f51b68, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x5b8c7a15, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x7aca122e, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xec42639c, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0xd110152f, "");
SYMBOL_CRC(rdma_modify_ah, 0x109dea4c, "");
SYMBOL_CRC(rdma_query_ah, 0xb21cf53e, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x9996c6e6, "");
SYMBOL_CRC(ib_create_srq_user, 0x8aa76882, "");
SYMBOL_CRC(ib_modify_srq, 0x3d3120e5, "");
SYMBOL_CRC(ib_query_srq, 0x808332a3, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xf75e0488, "");
SYMBOL_CRC(ib_open_qp, 0xc79d1e14, "");
SYMBOL_CRC(ib_create_qp_user, 0xc5a8dd62, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x2ef3a5fb, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0xb5a48e48, "");
SYMBOL_CRC(ib_create_qp_kernel, 0xa4f46715, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xb99a903d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x5ccc1502, "");
SYMBOL_CRC(ib_get_eth_speed, 0x1c29cd3c, "");
SYMBOL_CRC(ib_modify_qp, 0xcc6698f5, "");
SYMBOL_CRC(ib_query_qp, 0xf0530107, "");
SYMBOL_CRC(ib_close_qp, 0xe39751f2, "");
SYMBOL_CRC(ib_destroy_qp_user, 0xdf8a550a, "");
SYMBOL_CRC(__ib_create_cq, 0x3824666a, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x439cc3fc, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x693c6a78, "");
SYMBOL_CRC(ib_resize_cq, 0xc676c351, "");
SYMBOL_CRC(ib_reg_user_mr, 0xffd7abb2, "");
SYMBOL_CRC(ib_advise_mr, 0x75f81f65, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x05a8f714, "");
SYMBOL_CRC(ib_alloc_mr, 0xd83350df, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0xa42ccaf6, "");
SYMBOL_CRC(ib_attach_mcast, 0x8e16639d, "");
SYMBOL_CRC(ib_detach_mcast, 0x68661558, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0xf1d43b6b, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x7bf7e202, "");
SYMBOL_CRC(ib_create_wq, 0xbc794ce5, "");
SYMBOL_CRC(ib_destroy_wq_user, 0xdbb6612d, "");
SYMBOL_CRC(ib_check_mr_status, 0x2753010b, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x94f125d1, "");
SYMBOL_CRC(ib_get_vf_config, 0xddb4ac5c, "");
SYMBOL_CRC(ib_get_vf_stats, 0xd35cc8da, "");
SYMBOL_CRC(ib_set_vf_guid, 0x4fb3cdde, "");
SYMBOL_CRC(ib_get_vf_guid, 0x6d2c7ec8, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xc962a6f5, "");
SYMBOL_CRC(ib_map_mr_sg, 0x5eb31091, "");
SYMBOL_CRC(ib_sg_to_pages, 0x234fcb2b, "");
SYMBOL_CRC(ib_drain_sq, 0x77cc1389, "");
SYMBOL_CRC(ib_drain_rq, 0x5056dd18, "");
SYMBOL_CRC(ib_drain_qp, 0xa076b5da, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x4e21d38f, "");
SYMBOL_CRC(rdma_init_netdev, 0x2ca5711b, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0xf019a021, "");
SYMBOL_CRC(__ib_alloc_cq, 0xb6a47d4e, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x46503012, "");
SYMBOL_CRC(ib_free_cq, 0x1d75ae3e, "");
SYMBOL_CRC(ib_cq_pool_get, 0xd7c299e8, "");
SYMBOL_CRC(ib_cq_pool_put, 0xa6c725da, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x5c0af55d, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x46c40417, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x9fe32720, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xa510db5a, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0x7bde2d7a, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x0f700a5b, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x43a70fa5, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x73096c42, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x603684da, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0x4944519f, "");
SYMBOL_CRC(ib_query_nvmf_ns, 0xf3a669ff, "");
SYMBOL_CRC(ib_get_dma_mr, 0x493edf25, "");
SYMBOL_CRC(ib_create_nvmf_backend_ctrl, 0x3c7f1a1b, "_gpl");
SYMBOL_CRC(ib_destroy_nvmf_backend_ctrl, 0x8975db2f, "_gpl");
SYMBOL_CRC(ib_attach_nvmf_ns, 0xbe7b97bf, "_gpl");
SYMBOL_CRC(ib_detach_nvmf_ns, 0x577ac50f, "_gpl");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0xa6a504ef, "");
SYMBOL_CRC(ibdev_printk, 0x92ae1666, "");
SYMBOL_CRC(ibdev_emerg, 0xf4bfc5e5, "");
SYMBOL_CRC(ibdev_alert, 0x137ebac0, "");
SYMBOL_CRC(ibdev_crit, 0x88e462b7, "");
SYMBOL_CRC(ibdev_err, 0x8a1b7011, "");
SYMBOL_CRC(ibdev_warn, 0x23e21e92, "");
SYMBOL_CRC(ibdev_notice, 0xd14827c7, "");
SYMBOL_CRC(ibdev_info, 0x9b074177, "");
SYMBOL_CRC(ib_device_put, 0x19f8c4fe, "");
SYMBOL_CRC(ib_device_get_by_name, 0x101ce69d, "");
SYMBOL_CRC(_ib_alloc_device, 0x065aaa6d, "");
SYMBOL_CRC(ib_dealloc_device, 0x2d4fbd0f, "");
SYMBOL_CRC(ib_port_immutable_read, 0xea399389, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xcd62620a, "");
SYMBOL_CRC(ib_register_device, 0xc1544c64, "");
SYMBOL_CRC(ib_unregister_device, 0xb927b318, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x448cc903, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x5ca33a3a, "");
SYMBOL_CRC(ib_register_client, 0x68c25f86, "");
SYMBOL_CRC(ib_unregister_client, 0xe9ea5abd, "");
SYMBOL_CRC(ib_set_client_data, 0x0386b391, "");
SYMBOL_CRC(ib_register_event_handler, 0x034ba047, "");
SYMBOL_CRC(ib_unregister_event_handler, 0xf235397a, "");
SYMBOL_CRC(ib_query_port, 0x9e4023f1, "");
SYMBOL_CRC(ib_device_set_netdev, 0x2436a65c, "");
SYMBOL_CRC(ib_device_get_netdev, 0x8e17736c, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x65830aa0, "");
SYMBOL_CRC(ib_query_pkey, 0x4ebcbc27, "");
SYMBOL_CRC(ib_modify_device, 0xa7a52736, "");
SYMBOL_CRC(ib_modify_port, 0x0be47ade, "");
SYMBOL_CRC(ib_find_gid, 0x82ca4029, "");
SYMBOL_CRC(ib_find_pkey, 0x641e3fc7, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x1be8b1c3, "");
SYMBOL_CRC(ib_set_device_ops, 0x8cc2607e, "");
SYMBOL_CRC(ib_add_sub_device, 0x7ee87723, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0x68de484f, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xddbf9e5a, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x1bc2d96f, "");
SYMBOL_CRC(rdma_query_gid, 0x91f2a9d4, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x3a013500, "");
SYMBOL_CRC(rdma_find_gid, 0xbc79ff4e, "");
SYMBOL_CRC(ib_get_cached_pkey, 0xbc9ba71f, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x6f052a25, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x1c735910, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xeda499dd, "");
SYMBOL_CRC(ib_get_cached_lmc, 0xb6744e48, "");
SYMBOL_CRC(ib_get_cached_port_state, 0xe6c0cb22, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x284930c0, "");
SYMBOL_CRC(rdma_query_gid_table, 0xf1dae161, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x6fc8f90b, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x964015b5, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x3de0deb7, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x421cd87f, "");
SYMBOL_CRC(ib_dispatch_event, 0x06168ea9, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x47bc065b, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0xc093ef65, "");
SYMBOL_CRC(ibnl_put_attr, 0xa915f440, "");
SYMBOL_CRC(rdma_nl_unicast, 0xe3d9cd25, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x51e02b4b, "");
SYMBOL_CRC(rdma_nl_multicast, 0x23ef22d3, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xfd112070, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x3619d38f, "");
SYMBOL_CRC(rdma_roce_rescan_port, 0x06b3b598, "");
SYMBOL_CRC(roce_del_all_netdev_gids, 0x6aeb2e85, "");
SYMBOL_CRC(ib_mr_pool_get, 0xbc040fd5, "");
SYMBOL_CRC(ib_mr_pool_put, 0xa905d326, "");
SYMBOL_CRC(ib_mr_pool_init, 0x498548fa, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x48683acd, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x2ade7078, "");
SYMBOL_CRC(rdma_translate_ip, 0x4322c222, "");
SYMBOL_CRC(rdma_resolve_ip, 0x329e7849, "");
SYMBOL_CRC(rdma_addr_cancel, 0xddc5d2df, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x8e0ed47c, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x3c10c6c0, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xc95522ff, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xed949a11, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0xe2abd805, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xa3eeb418, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x1f15524d, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x03391951, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0xe45cde96, "");
SYMBOL_CRC(ib_create_send_mad, 0x969e2553, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0xaba64b11, "");
SYMBOL_CRC(ib_free_send_mad, 0xbd6748e9, "");
SYMBOL_CRC(ib_post_send_mad, 0xfc5675cf, "");
SYMBOL_CRC(ib_free_recv_mad, 0x91b1c712, "");
SYMBOL_CRC(ib_modify_mad, 0x9998f30f, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xca16e46e, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0xe89f55a5, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x93dce14f, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x4333f535, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0xd521486a, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x986a80f3, "");
SYMBOL_CRC(rdma_link_register, 0x49edde27, "");
SYMBOL_CRC(rdma_link_unregister, 0x082c1d3c, "");
SYMBOL_CRC(rdma_restrack_count, 0xb8f43a59, "");
SYMBOL_CRC(rdma_restrack_set_name, 0xc96a91f4, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0x884d9c05, "");
SYMBOL_CRC(rdma_restrack_new, 0x7d838ca7, "");
SYMBOL_CRC(rdma_restrack_add, 0x058db50d, "");
SYMBOL_CRC(rdma_restrack_get, 0x08d82173, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x48926c77, "");
SYMBOL_CRC(rdma_restrack_put, 0xccc95f55, "");
SYMBOL_CRC(rdma_restrack_del, 0x418df344, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x3d2de673, "");
SYMBOL_CRC(rdma_user_mmap_io, 0xea833f5d, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x25ca85de, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xf9744077, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0x614bdf4e, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x0124a8e3, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xd2daa092, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x0ca1f8d7, "");
SYMBOL_CRC(ib_create_qp_security, 0xdf68fea3, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x7b44284d, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0xb808dad1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7b3395e9, "nla_put" },
	{ 0x9987da2, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x257a997, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb72aa5fd, "kobject_init_and_add" },
	{ 0x96c43f4c, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x66205126, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x95aa2e3, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0xe3c5cb0c, "bpf_trace_run1" },
	{ 0x62c2d43f, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xff443edf, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0xed5526b9, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6e04201e, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2be367, "__neigh_event_send" },
	{ 0xd7922259, "dev_printk_emit" },
	{ 0x573e2236, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xe895ebdb, "skb_trim" },
	{ 0xf957f74a, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xf1bc89fc, "netdev_walk_all_upper_dev_rcu" },
	{ 0xfc60a2ca, "bpf_trace_run3" },
	{ 0xbc48d9db, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7c835403, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3bd32712, "backport_rdma_dim" },
	{ 0x8a6a1fed, "neigh_destroy" },
	{ 0x4df31d2a, "kobject_del" },
	{ 0xfceeaedd, "trace_event_buffer_reserve" },
	{ 0xad4479ca, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe8e9197f, "param_ops_bool" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdaf78aec, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x1448fc74, "dev_get_by_name" },
	{ 0x4d8a7eb8, "netlink_ns_capable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xea215d21, "dst_release" },
	{ 0xc4a1eaf7, "kobject_uevent" },
	{ 0xc86faf, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x87bcd914, "vlan_dev_vlan_id" },
	{ 0x149c4720, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x1abcb4e9, "kmalloc_trace" },
	{ 0xdcd6535c, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x5e381756, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa619f320, "netlink_has_listeners" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x4da02861, "register_pernet_device" },
	{ 0x794579e8, "get_net_ns_by_fd" },
	{ 0x2ea50380, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d2a301a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe795e4bc, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xba7a1b05, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3d4ed07b, "rdmacg_try_charge" },
	{ 0xd3db7d23, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x129a60f4, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x6b0c54ea, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb0693e65, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc60a97c2, "dev_set_name" },
	{ 0x349a53e3, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9b8d4e71, "trace_raw_output_prep" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x65b1fb91, "nla_put_64bit" },
	{ 0x88cce6a0, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf5863867, "__trace_trigger_soft_disabled" },
	{ 0x1160619b, "dma_unmap_page_attrs" },
	{ 0xb642e855, "trace_event_printf" },
	{ 0xa1c54b58, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x760b377d, "sysfs_remove_groups" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xc26b7b30, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x39c9d88c, "xas_find" },
	{ 0xf4134444, "kobject_init" },
	{ 0xd35edc7a, "device_initialize" },
	{ 0x1bed3282, "__dynamic_ibdev_dbg" },
	{ 0xa342d86, "sysfs_create_groups" },
	{ 0x5fd1114c, "trace_event_raw_init" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6df29e06, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xc50660b7, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x7a57a203, "pcpu_hot" },
	{ 0xe039310c, "__netlink_kernel_create" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2844ca24, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe3e1deb0, "ip_route_output_flow" },
	{ 0x69675e27, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3aaa26f0, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5a0c8b99, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6daf1012, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xc9819501, "dev_driver_string" },
	{ 0xe5581cef, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc6296a95, "dma_map_page_attrs" },
	{ 0x19cec24a, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x865f2eb2, "put_device" },
	{ 0xc06401c5, "netlink_broadcast" },
	{ 0xf3c9cfde, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x5bcf7576, "__alloc_skb" },
	{ 0x37f18d27, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6833f324, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xa444eda2, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4020e80a, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7757a192, "_dev_err" },
	{ 0x2ce8b8e6, "init_net" },
	{ 0xe54a7dbc, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xa8283e87, "ipv6_stub" },
	{ 0xf2147614, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8e540dce, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x12dc4ecb, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb1f4a95b, "dev_get_by_index" },
	{ 0x65eb7adf, "kfree_skb_reason" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8869bbe9, "skb_push" },
	{ 0x1f4eca0f, "module_layout" },
};

MODULE_INFO(depends, "mlx_compat");

