#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_set_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_get_peer, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");
KSYMTAB_FUNC(ib_register_peer_memory_client, "", "");
KSYMTAB_FUNC(ib_unregister_peer_memory_client, "", "");
KSYMTAB_FUNC(ib_umem_activate_invalidation_notifier, "", "");
KSYMTAB_FUNC(ib_umem_stop_invalidation_notifier, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xd76baa96, "");
SYMBOL_CRC(flow_resources_alloc, 0x48d0cec3, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0xed996282, "");
SYMBOL_CRC(flow_resources_add, 0xe126e395, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x390976b1, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x51f80190, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xe949f98d, "");
SYMBOL_CRC(uverbs_idr_class, 0xc693e225, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xd56ada63, "");
SYMBOL_CRC(uverbs_fd_class, 0x0fc08f3b, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x1286db37, "");
SYMBOL_CRC(_uverbs_alloc, 0xc52bd495, "");
SYMBOL_CRC(uverbs_get_flags64, 0xfe7d0300, "");
SYMBOL_CRC(uverbs_set_flags64, 0xa506f7cd, "");
SYMBOL_CRC(uverbs_get_flags32, 0x1dda2c54, "");
SYMBOL_CRC(uverbs_copy_to, 0x074be999, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x680dd50a, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x0796fc1a, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xa8854e97, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x2a6211ba, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x792c8ccb, "");
SYMBOL_CRC(ib_umem_get, 0xede44a32, "");
SYMBOL_CRC(ib_umem_get_peer, 0x1f9b68ef, "");
SYMBOL_CRC(ib_umem_release, 0x63d7a86e, "");
SYMBOL_CRC(ib_umem_copy_from, 0x88f92c8c, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x55998dcc, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xf6393afa, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x91b04db2, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0x8bd3a96d, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x16f6d4bf, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0x2d6a76c6, "");
SYMBOL_CRC(ib_register_peer_memory_client, 0x7e3e213f, "");
SYMBOL_CRC(ib_unregister_peer_memory_client, 0xbde5c050, "");
SYMBOL_CRC(ib_umem_activate_invalidation_notifier, 0xd95a4fac, "");
SYMBOL_CRC(ib_umem_stop_invalidation_notifier, 0xd1e2dfe3, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xe2571a67, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x201882d5, "");
SYMBOL_CRC(ib_umem_odp_get, 0x670c7b8f, "");
SYMBOL_CRC(ib_umem_odp_release, 0x4827b801, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0xcd73d881, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x57c978d9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1bb70e28, "dma_buf_get" },
	{ 0x9e4023f1, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x7b3395e9, "nla_put" },
	{ 0x1df9a10, "ww_mutex_lock" },
	{ 0xc31be032, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2ef3a5fb, "ib_qp_usecnt_inc" },
	{ 0xdd0fffe, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x96c43f4c, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf90f01e7, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdf8a550a, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc96a91f4, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0xc1f51b68, "rdma_create_user_ah" },
	{ 0x9996c6e6, "rdma_destroy_ah_user" },
	{ 0x1cd3eefb, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x693c6a78, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x4096db11, "__mmdrop" },
	{ 0x418df344, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53561837, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x25945308, "__mmap_lock_do_trace_start_locking" },
	{ 0xb808dad1, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x778c420b, "igrab" },
	{ 0xddbf9e5a, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf8864cbb, "mmput" },
	{ 0xad4479ca, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x2c8dd08a, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe9bd1a4f, "__tracepoint_mmap_lock_start_locking" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xabcd02b5, "__mmap_lock_do_trace_released" },
	{ 0xf1d43b6b, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x755abc1, "__srcu_read_unlock" },
	{ 0x439cc3fc, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7bf7e202, "ib_dealloc_xrcd_user" },
	{ 0x3c53df7e, "dma_buf_detach" },
	{ 0x93e53a12, "stream_open" },
	{ 0xae664d33, "mmu_interval_notifier_insert" },
	{ 0x99b575b9, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xc79d1e14, "ib_open_qp" },
	{ 0x89d579f1, "ib_dealloc_pd_user" },
	{ 0x284930c0, "rdma_get_gid_attr" },
	{ 0x149c4720, "dma_unmap_sg_attrs" },
	{ 0x7704d480, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x1abcb4e9, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7d838ca7, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xf1dae161, "rdma_query_gid_table" },
	{ 0xeca1a869, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xccc95f55, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8e16639d, "ib_attach_mcast" },
	{ 0x3d2de673, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xdbb6612d, "ib_destroy_wq_user" },
	{ 0x54d853fd, "put_pid" },
	{ 0x2ea50380, "class_register" },
	{ 0x9f7bd658, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d2a301a, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x614bdf4e, "rdma_user_mmap_entry_put" },
	{ 0xe795e4bc, "kobject_put" },
	{ 0x54d54c01, "pin_user_pages_fast" },
	{ 0x25b72e3d, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa6500d5c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe67e44a, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe9ea5abd, "ib_unregister_client" },
	{ 0x464b5cf7, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfb915b9d, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc60a97c2, "dev_set_name" },
	{ 0x23e21e92, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe3d0a01b, "mmu_interval_read_begin" },
	{ 0xc5a8dd62, "ib_create_qp_user" },
	{ 0x25e9f5f, "dma_resv_wait_timeout" },
	{ 0xbe0700b7, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x671caed7, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x1894d34d, "kill_fasync" },
	{ 0x1160619b, "dma_unmap_page_attrs" },
	{ 0x436a0a4e, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x5c1f8b71, "fget" },
	{ 0xc26b7b30, "__put_task_struct" },
	{ 0x808332a3, "ib_query_srq" },
	{ 0xcdfbf02b, "ww_mutex_unlock" },
	{ 0xf4134444, "kobject_init" },
	{ 0xd35edc7a, "device_initialize" },
	{ 0x1bed3282, "__dynamic_ibdev_dbg" },
	{ 0x7b44284d, "ib_rdmacg_try_charge" },
	{ 0x46174f4a, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9f4eed, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c9c721c, "unpin_user_page_range_dirty_lock" },
	{ 0x86ab31f2, "iput" },
	{ 0x7a57a203, "pcpu_hot" },
	{ 0xfcdd1523, "dma_buf_unpin" },
	{ 0x1ccd53e1, "zap_vma_ptes" },
	{ 0x5a8f714, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x786c8737, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd5a61a34, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa6a504ef, "rdma_dev_access_netns" },
	{ 0x69675e27, "get_device" },
	{ 0xf0530107, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x613fca52, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x299e0771, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x394e403a, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0xf75e0488, "ib_destroy_srq_user" },
	{ 0x3de0deb7, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xe13f504c, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc6296a95, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7daaf007, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x58db50d, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x865f2eb2, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x5ccc1502, "ib_modify_qp_with_udata" },
	{ 0x34ba047, "ib_register_event_handler" },
	{ 0x68661558, "ib_detach_mcast" },
	{ 0x6ca74b68, "dma_buf_map_attachment" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd85f138b, "__free_pages" },
	{ 0xf235397a, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x455c1d60, "module_put" },
	{ 0x68c25f86, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2e4359d2, "compat_ptr_ioctl" },
	{ 0x8aa76882, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x6833f324, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8fca0669, "init_srcu_struct" },
	{ 0xc6da82a, "fput" },
	{ 0x386b391, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7757a192, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xa2660a1c, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0xfcadfcea, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6fc8f90b, "rdma_put_gid_attr" },
	{ 0x954cef6f, "init_on_alloc" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1f4eca0f, "module_layout" },
};

MODULE_INFO(depends, "ib_core,mlx_compat");

