#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_create_nvmf_backend_ctrl, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_destroy_nvmf_backend_ctrl, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_attach_nvmf_ns, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_detach_nvmf_ns, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_nvmf_ns, "_gpl", "");

SYMBOL_CRC(mlx5_core_create_nvmf_backend_ctrl, 0x9024ae88, "_gpl");
SYMBOL_CRC(mlx5_core_destroy_nvmf_backend_ctrl, 0xcfb34a73, "_gpl");
SYMBOL_CRC(mlx5_core_attach_nvmf_ns, 0x7ea334ab, "_gpl");
SYMBOL_CRC(mlx5_core_detach_nvmf_ns, 0xb85959a2, "_gpl");
SYMBOL_CRC(mlx5_core_query_nvmf_ns, 0xf152ee75, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1e2dfe3, "ib_umem_stop_invalidation_notifier" },
	{ 0x742b4e4f, "mlx5_core_query_vport_counter" },
	{ 0xd76baa96, "ib_uverbs_get_ucontext_file" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x3824666a, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11aca8a0, "mlx5_query_port_max_mtu" },
	{ 0xdf8a550a, "ib_destroy_qp_user" },
	{ 0x680dd50a, "_uverbs_get_const_signed" },
	{ 0x27032ce3, "mlx5_query_hca_vport_gid" },
	{ 0x72c3c92c, "mlx5_frag_buf_free" },
	{ 0x671a7428, "mlx5_nic_vport_disable_roce" },
	{ 0xfc08f3b, "uverbs_fd_class" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xda4d6c03, "dma_sync_single_for_cpu" },
	{ 0x33eb53f5, "mlx5_notifier_unregister" },
	{ 0xfb578fc5, "memset" },
	{ 0xed5526b9, "_dev_warn" },
	{ 0xe5ad0cad, "mlx5_create_lag_demux_flow_table" },
	{ 0x857b6fa7, "mlx5_cmd_exec_cb" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xc65752ba, "mlx5_lag_get_num_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb66f3f50, "mlx5_rl_remove_rate" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xedc24977, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xca2da5f6, "mlx5_eswitch_register_vport_reps" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x35ce94f0, "mlx5_core_modify_cq" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0xd95a4fac, "ib_umem_activate_invalidation_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0xa1d16b70, "mlx5_eswitch_vport_match_metadata_enabled" },
	{ 0x2d4fbd0f, "ib_dealloc_device" },
	{ 0x42a917b, "mlx5_blocking_notifier_unregister" },
	{ 0x3fc48ef7, "mlx5_fc_query" },
	{ 0x693c6a78, "ib_destroy_cq_user" },
	{ 0xea833f5d, "rdma_user_mmap_io" },
	{ 0x573e2236, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe895ebdb, "skb_trim" },
	{ 0x4096db11, "__mmdrop" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xcc6698f5, "ib_modify_qp" },
	{ 0x941d693a, "mlx5_eswitch_get_core_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x204b1e2c, "dma_set_coherent_mask" },
	{ 0xd2daa092, "rdma_user_mmap_entry_insert_range" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xc53feb62, "pv_ops" },
	{ 0x16f6d4bf, "ib_umem_dmabuf_get_pinned" },
	{ 0x14518505, "ib_wc_status_msg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3f48d205, "mlx5_core_set_dc_cnak_trace" },
	{ 0x8e17736c, "ib_device_get_netdev" },
	{ 0xf6393afa, "ib_umem_dmabuf_unmap_pages" },
	{ 0x1f9b68ef, "ib_umem_get_peer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe12cbfda, "mlx5_eswitch_get_proto_dev" },
	{ 0x63bb76df, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3a8103b9, "dma_free_attrs" },
	{ 0xa8854e97, "uverbs_copy_to_struct_or_zero" },
	{ 0xed996282, "ib_uverbs_flow_resources_free" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcd73d881, "ib_umem_odp_map_dma_and_lock" },
	{ 0x1d75ae3e, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x925de51c, "mlx5_eq_notifier_unregister" },
	{ 0x21f0d30a, "mlx5_comp_eqn_get" },
	{ 0x2aed5cd6, "mlx5_query_port_vl_hw_cap" },
	{ 0xea21ddc9, "mlx5_query_hca_vport_pkey" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xa69f39b8, "mlx5_core_uplink_netdev_event_replay" },
	{ 0x2c8dd08a, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa874269d, "mlx5_frag_buf_alloc_node" },
	{ 0xdaf78aec, "netdev_master_upper_dev_get_rcu" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x6aeb2e85, "roce_del_all_netdev_gids" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5073c648, "netdev_master_upper_dev_get" },
	{ 0xc52bd495, "_uverbs_alloc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd7461304, "mlx5_fc_destroy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c7dddf9, "mlx5_lag_is_master" },
	{ 0xb740002, "mlx5_nic_vport_unaffiliate_multiport" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x6b3b598, "rdma_roce_rescan_port" },
	{ 0x9c3e38d3, "mlx5_query_hca_vport_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4ebcbc27, "ib_query_pkey" },
	{ 0xe949f98d, "uverbs_uobject_put" },
	{ 0x2d6a76c6, "ib_umem_dmabuf_revoke" },
	{ 0x5cd71103, "mlx5_core_roce_gid_set" },
	{ 0xc4a1eaf7, "kobject_uevent" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0x9b59160, "mlx5_query_port_oper_mtu" },
	{ 0x20dd835e, "mlx5_nic_vport_enable_roce" },
	{ 0xea399389, "ib_port_immutable_read" },
	{ 0xec9b11c7, "pci_disable_device" },
	{ 0xa4f46715, "ib_create_qp_kernel" },
	{ 0xaff12a85, "boot_cpu_data" },
	{ 0x74be999, "uverbs_copy_to" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0x1df24d7c, "mlx5_blocking_notifier_register" },
	{ 0xe126e395, "flow_resources_add" },
	{ 0x3c5fa81a, "mlx5_core_modify_rq" },
	{ 0x78378392, "mlx5_core_query_mkey" },
	{ 0xfc3743b0, "dma_set_mask" },
	{ 0x256ce2d, "__auxiliary_driver_register" },
	{ 0x4061895a, "mlx5_db_alloc_node" },
	{ 0x986a80f3, "rdma_nl_stat_hwcounter_entry" },
	{ 0x1286db37, "uverbs_destroy_def_handler" },
	{ 0x916a6985, "mlx5_qp_debugfs_init" },
	{ 0x89d579f1, "ib_dealloc_pd_user" },
	{ 0x1d0c3cdd, "pci_vpd_alloc" },
	{ 0xc8e6819b, "mlx5_core_modify_tis" },
	{ 0x6e8b03a0, "mlx5_core_mp_event_replay" },
	{ 0xd4f319ed, "mlx5_comp_vectors_max" },
	{ 0x276220b6, "mlx5_create_cq" },
	{ 0x7704d480, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x1abcb4e9, "kmalloc_trace" },
	{ 0x89498178, "mlx5_eswitch_get_total_vports" },
	{ 0xd5037c9c, "mlx5_core_destroy_cq" },
	{ 0x711b3e23, "mlx5_core_reserved_gids_count" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x2285bb1, "mlx5_debugfs_root" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xd11e1682, "mlx5_core_modify_cq_moderation" },
	{ 0x88f92c8c, "ib_umem_copy_from" },
	{ 0xe5371ff9, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5ec7f021, "mlx5_qp_debugfs_cleanup" },
	{ 0xccc95f55, "rdma_restrack_put" },
	{ 0xbd928c3e, "mlx5_eq_disable" },
	{ 0xf9ed1e1f, "mlx5_cmd_cleanup_async_ctx" },
	{ 0x34a3c077, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x23bb3f50, "mlx5_create_flow_table" },
	{ 0xfeca7678, "mlx5_rl_remove_rate_raw" },
	{ 0x3619d38f, "rdma_roce_rescan_device" },
	{ 0xb28dbbe8, "mlx5_destroy_flow_group" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb2c6ed9e, "mlx5_alloc_bfreg" },
	{ 0x6414af50, "mlx5_eq_destroy_generic" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xca16e46e, "rdma_nl_put_driver_string" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x21404b7b, "mlx5_lag_is_active" },
	{ 0xc5bf936b, "mlx5_free_bfreg" },
	{ 0x2d2a301a, "kmalloc_caches" },
	{ 0x3124d8ef, "mlx5_cmd_destroy_vport_lag" },
	{ 0x8cc2607e, "ib_set_device_ops" },
	{ 0x614bdf4e, "rdma_user_mmap_entry_put" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4481d4fa, "mlx5_core_access_reg" },
	{ 0xe795e4bc, "kobject_put" },
	{ 0x72460c4, "mlx5_fill_page_frag_array" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf6c36a30, "mlx5_eswitch_add_send_to_vport_rule" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcd4c6359, "mlx5_modify_header_alloc" },
	{ 0x6f4eb126, "mlx5_dm_sw_icm_dealloc" },
	{ 0x63d7a86e, "ib_umem_release" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x24772ae0, "mlx5_db_free" },
	{ 0xfeb7495c, "mlx5_core_destroy_mkey" },
	{ 0xec7e32eb, "mlx5_eswitch_mode" },
	{ 0xd145ee6b, "mlx5_cmd_check" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0x9c9bff5f, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xebcbee7f, "mlx5_lag_is_roce" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd3ecccad, "pci_enable_device" },
	{ 0x15c3d3cd, "mlx5_rl_add_rate_raw" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x30d680dc, "mlx5_lag_query_cong_counters" },
	{ 0x1dda2c54, "uverbs_get_flags32" },
	{ 0x2faa546b, "mlx5_rsc_dump_cmd_create" },
	{ 0x77bc13a0, "strim" },
	{ 0xc693e225, "uverbs_idr_class" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x5a23c603, "pci_enable_atomic_ops_to_root" },
	{ 0x92dc4130, "mlx5_core_destroy_psv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3a2311eb, "mlx5_eq_enable" },
	{ 0xa85e04b7, "mlx5_flow_table_id" },
	{ 0x75746b25, "mlx5_core_alloc_pd" },
	{ 0x421cd87f, "rdma_read_gid_l2_fields" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8bb5bf74, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xca99185f, "mlx5_lag_get_next_peer_mdev" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad6815cd, "mlx5_rsc_dump_cmd_destroy" },
	{ 0x909f8976, "register_netdevice_notifier_dev_net" },
	{ 0x1160619b, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1e2967d1, "mlx5_query_nic_vport_qkey_viol_cntr" },
	{ 0xb99a903d, "ib_modify_qp_is_ok" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x22abdff3, "__pci_register_driver" },
	{ 0x59acf18, "mlx5_nic_vport_update_local_lb" },
	{ 0xcf2a6966, "up" },
	{ 0x8bd3a96d, "ib_umem_dmabuf_get_pinned_with_dma_device" },
	{ 0xcdfbf02b, "ww_mutex_unlock" },
	{ 0xec135b39, "dma_sync_single_for_device" },
	{ 0x61492bb7, "mlx5_rl_are_equal" },
	{ 0x5c6e2b0d, "mlx5_create_flow_group" },
	{ 0xd56ada63, "uverbs_uobject_fd_release" },
	{ 0x9e35c3ed, "debugfs_create_atomic_t" },
	{ 0xfa618bbb, "mlx5_core_create_psv" },
	{ 0x792c8ccb, "ib_umem_find_best_pgsz" },
	{ 0x36b4c4e1, "mlx5_core_modify_hca_vport_context" },
	{ 0x44c62316, "mlx5_rl_add_rate" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x92f4fff4, "mlx5_eq_update_ci" },
	{ 0x888a2246, "mlx5_create_auto_grouped_flow_table" },
	{ 0xfc0b8258, "mlx5_core_create_mkey" },
	{ 0x1949b1c7, "mlx5_cmd_do" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7e584c24, "mlx5_debug_qp_add" },
	{ 0x234fcb2b, "ib_sg_to_pages" },
	{ 0x6df29e06, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0x91f2a9d4, "rdma_query_gid" },
	{ 0x5e937d38, "kobject_get_path" },
	{ 0xf50f52ca, "mlx5_fc_create" },
	{ 0xce83cd89, "mlx5_cmd_out_err" },
	{ 0x170dab8c, "mlx5_core_create_rqt" },
	{ 0xcbc48d62, "mlx5_core_query_vendor_id" },
	{ 0x29d4314e, "mlx5_query_hca_vport_node_guid" },
	{ 0xa91ddaa8, "mlx5_modify_header_dealloc" },
	{ 0x7a57a203, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x201882d5, "ib_umem_odp_alloc_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5a8f714, "ib_dereg_mr_user" },
	{ 0xdcfd8026, "mlx5_lag_is_sriov" },
	{ 0xf019a021, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa9aab0a2, "mlx5_lag_is_mpesw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8d82173, "rdma_restrack_get" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2a6211ba, "uverbs_finalize_uobj_create" },
	{ 0x69675e27, "get_device" },
	{ 0x43485e17, "mlx5_eswitch_get_encap_mode" },
	{ 0xb4b7369c, "mlx5_rsc_dump_next" },
	{ 0xf0530107, "ib_query_qp" },
	{ 0xd3354a6, "rdma_alloc_hw_stats_struct" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x65aaa6d, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x3aaa26f0, "__dynamic_dev_dbg" },
	{ 0x659c4a2b, "mlx5_debugfs_get_dev_root" },
	{ 0x48d0cec3, "flow_resources_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x7bc66e03, "mlx5_core_query_rq" },
	{ 0xe05877a7, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x52d4dfe6, "mlx5_packet_reformat_dealloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe2571a67, "ib_umem_odp_alloc_implicit" },
	{ 0xc9819501, "dev_driver_string" },
	{ 0xf75e0488, "ib_destroy_srq_user" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xb927b318, "ib_unregister_device" },
	{ 0x1c735910, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc6296a95, "dma_map_page_attrs" },
	{ 0xb4852e2e, "auxiliary_driver_unregister" },
	{ 0x401fa6a7, "mlx5_cmd_exec" },
	{ 0x20aaa05c, "mlx5_eq_get_eqe" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb6cf16fd, "mlx5_core_dealloc_pd" },
	{ 0x1953c958, "mempool_create" },
	{ 0x4151650f, "mlx5_rdma_rn_get_params" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x1000e51, "schedule" },
	{ 0x68f7355e, "mlx5_wc_support_get" },
	{ 0xc1544c64, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x865f2eb2, "put_device" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd28fa0d9, "mlx5_lag_mode_is_hash" },
	{ 0x6d54526a, "mlx5_debug_qp_remove" },
	{ 0x9a4cb364, "pcie_relaxed_ordering_enabled" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x4f5f89c2, "mlx5_eq_notifier_register" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd85f138b, "__free_pages" },
	{ 0x6014b781, "mlx5_core_create_tis" },
	{ 0x257a516a, "mlx5_nic_vport_affiliate_multiport" },
	{ 0xab4334a3, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcf100bf2, "mlx5_cmd_create_vport_lag" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x917ba37e, "mlx5_query_min_inline" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc1781c79, "mlx5_core_create_rq" },
	{ 0xc30b1d9d, "mlx5_eswitch_get_vport_metadata_for_match" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe650e9d1, "mlx5_packet_reformat_alloc" },
	{ 0x8aa76882, "ib_create_srq_user" },
	{ 0x124a8e3, "rdma_user_mmap_entry_remove" },
	{ 0x796fc1a, "_uverbs_get_const_unsigned" },
	{ 0x54ec6de0, "unregister_netdevice_notifier_dev_net" },
	{ 0x6168ea9, "ib_dispatch_event" },
	{ 0x46435e96, "vm_insert_page" },
	{ 0xbbae311b, "mlx5_lag_is_shared_fdb" },
	{ 0x4827b801, "ib_umem_odp_release" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6569f26b, "mlx5_query_nic_vport_system_image_guid" },
	{ 0x7892e0f2, "mlx5_eswitch_unregister_vport_reps" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x88bad7ea, "mlx5_notifier_register" },
	{ 0x4352abd7, "mlx5_core_create_cq" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9ea63e45, "mlx5_dm_sw_icm_alloc" },
	{ 0x7757a192, "_dev_err" },
	{ 0x7deaca5e, "mlx5_is_roce_on" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xe6ebb4c, "mlx5_add_flow_rules" },
	{ 0xff8d5900, "simple_open" },
	{ 0xcc002b85, "mlx5_destroy_flow_table" },
	{ 0xa2a74079, "mlx5_eswitch_uplink_get_proto_dev" },
	{ 0x463df4ae, "mlx5_get_flow_namespace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x96eb2c99, "mlx5_fc_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x670c7b8f, "ib_umem_odp_get" },
	{ 0x6626afca, "down" },
	{ 0xbfb0df9, "mlx5_query_port_ptys" },
	{ 0x2436a65c, "ib_device_set_netdev" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf23f514a, "mlx5_cmd_init_async_ctx" },
	{ 0xd0993696, "mlx5_eq_create_generic" },
	{ 0xc8df4b9f, "mlx5_put_uars_page" },
	{ 0xc379bfb6, "dma_alloc_attrs" },
	{ 0x51f5e12a, "mlx5_lag_get_slave_port" },
	{ 0x55998dcc, "ib_umem_dmabuf_map_pages" },
	{ 0xe025c17d, "mlx5_get_uars_page" },
	{ 0xcdde0b3f, "debugfs_remove" },
	{ 0x15ff30ee, "mlx5_query_ib_port_oper" },
	{ 0x9e4023f1, "ib_query_port" },
	{ 0xb6a47d4e, "__ib_alloc_cq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2fe3b80f, "mlx5_query_nic_vport_node_guid" },
	{ 0x7b3395e9, "nla_put" },
	{ 0x1df9a10, "ww_mutex_lock" },
	{ 0xb9d2329f, "mlx5_set_port_caps" },
	{ 0x25ca85de, "rdma_user_mmap_entry_get_pgoff" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc058797, "mlx5_del_flow_rules" },
	{ 0x57c978d9, "ib_umem_odp_unmap_dma_pages" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb72aa5fd, "kobject_init_and_add" },
	{ 0xca2f6111, "mlx5_core_modify_sq" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x91b04db2, "ib_umem_dmabuf_get" },
	{ 0x60fc9ce1, "mlx5_query_hca_vport_system_image_guid" },
	{ 0xb0129733, "mlx5_core_query_sq_state" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1f4eca0f, "module_layout" },
};

MODULE_INFO(depends, "ib_uverbs,mlx5_core,ib_core,mlx_compat");

