#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlxdevm_register, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_unregister, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_rate_nodes_destroy, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_params_register, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_params_unregister, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_param_register, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_param_unregister, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_params_publish, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_params_unpublish, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_param_driverinit_value_get, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_param_driverinit_value_set, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_port_get_by_index, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_rate_group_register, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_rate_group_unregister, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_port_register, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_port_unregister, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_port_type_eth_set, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_port_attr_set, "_gpl", "");

SYMBOL_CRC(mlxdevm_register, 0xf27fb858, "_gpl");
SYMBOL_CRC(mlxdevm_unregister, 0x998dc735, "_gpl");
SYMBOL_CRC(mlxdevm_rate_nodes_destroy, 0xc8ad1be3, "_gpl");
SYMBOL_CRC(mlxdevm_params_register, 0xab1b5c03, "_gpl");
SYMBOL_CRC(mlxdevm_params_unregister, 0xf6294f50, "_gpl");
SYMBOL_CRC(mlxdevm_param_register, 0x84e52708, "_gpl");
SYMBOL_CRC(mlxdevm_param_unregister, 0x56471d95, "_gpl");
SYMBOL_CRC(mlxdevm_params_publish, 0x22ac123c, "_gpl");
SYMBOL_CRC(mlxdevm_params_unpublish, 0x41f860af, "_gpl");
SYMBOL_CRC(mlxdevm_param_driverinit_value_get, 0x9ba5bc63, "_gpl");
SYMBOL_CRC(mlxdevm_param_driverinit_value_set, 0x21049dab, "_gpl");
SYMBOL_CRC(mlxdevm_port_get_by_index, 0xebc80148, "_gpl");
SYMBOL_CRC(mlxdevm_rate_group_register, 0xb0761c33, "_gpl");
SYMBOL_CRC(mlxdevm_rate_group_unregister, 0x09172968, "_gpl");
SYMBOL_CRC(mlxdevm_port_register, 0xd686331e, "_gpl");
SYMBOL_CRC(mlxdevm_port_unregister, 0x06831ed5, "_gpl");
SYMBOL_CRC(mlxdevm_port_type_eth_set, 0x88dffed3, "_gpl");
SYMBOL_CRC(mlxdevm_port_attr_set, 0xdcd4154d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2d5255a, "strcmp" },
	{ 0xce807a25, "up_write" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0xb8edd140, "genl_register_family" },
	{ 0x7b3395e9, "nla_put" },
	{ 0x65b1fb91, "nla_put_64bit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc33fe13a, "genl_unregister_family" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x754d539c, "strlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2d2a301a, "kmalloc_caches" },
	{ 0x1abcb4e9, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf30d7c03, "genlmsg_put" },
	{ 0xe895ebdb, "skb_trim" },
	{ 0x5bcf7576, "__alloc_skb" },
	{ 0x65eb7adf, "kfree_skb_reason" },
	{ 0x12dc4ecb, "netlink_unicast" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x745a981, "xa_erase" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1f4eca0f, "module_layout" },
};

MODULE_INFO(depends, "mlx_compat");


MODULE_INFO(srcversion, "32F0963F2AA35815B22BE4F");
