#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x08a54fc5, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xce6114e5, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x8722569b, "");
SYMBOL_CRC(rdma_res_to_id, 0xd8107bca, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x435ec528, "");
SYMBOL_CRC(rdma_create_user_id, 0x7b026eb4, "");
SYMBOL_CRC(rdma_create_qp, 0x0844196a, "");
SYMBOL_CRC(rdma_destroy_qp, 0xd5a087be, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xbbc72dc5, "");
SYMBOL_CRC(rdma_destroy_id, 0xc119496f, "");
SYMBOL_CRC(rdma_get_service_id, 0x55b61fbd, "");
SYMBOL_CRC(rdma_read_gids, 0xc69e0418, "");
SYMBOL_CRC(rdma_set_service_type, 0x958a2b49, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xb3b7795b, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x886bcdb4, "");
SYMBOL_CRC(rdma_set_ib_path, 0xb538b7bc, "");
SYMBOL_CRC(rdma_resolve_route, 0x3447f5ad, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xea104c74, "");
SYMBOL_CRC(rdma_set_afonly, 0x79db70eb, "");
SYMBOL_CRC(rdma_listen, 0x54766d7c, "");
SYMBOL_CRC(rdma_resolve_addr, 0xe62d30f0, "");
SYMBOL_CRC(rdma_bind_addr, 0x46521d80, "");
SYMBOL_CRC(rdma_connect_locked, 0x2d224162, "");
SYMBOL_CRC(rdma_connect, 0x230a216a, "");
SYMBOL_CRC(rdma_connect_ece, 0x5c3856d0, "");
SYMBOL_CRC(rdma_accept, 0xd0f9155e, "");
SYMBOL_CRC(rdma_accept_ece, 0x7ecf9ad0, "");
SYMBOL_CRC(rdma_lock_handler, 0xaea1236d, "");
SYMBOL_CRC(rdma_unlock_handler, 0xfb1b976b, "");
SYMBOL_CRC(rdma_notify, 0xf805fd92, "");
SYMBOL_CRC(rdma_reject, 0xa0151d80, "");
SYMBOL_CRC(rdma_disconnect, 0x81ed429b, "");
SYMBOL_CRC(rdma_join_multicast, 0xde7542c4, "");
SYMBOL_CRC(rdma_leave_multicast, 0x4ec57302, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9feb30c, "iw_cm_connect" },
	{ 0x58db50d, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xddc5d2df, "rdma_addr_cancel" },
	{ 0x245d22da, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0xe2abd805, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x68c25f86, "ib_register_client" },
	{ 0x3c10c6c0, "ib_sa_path_rec_get" },
	{ 0x29c8602, "ib_create_cm_id" },
	{ 0xc97467c2, "__ip_mc_dec_group" },
	{ 0xa444eda2, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4020e80a, "perf_trace_run_bpf_submit" },
	{ 0xa3eeb418, "ib_init_ah_from_mcmember" },
	{ 0xec42639c, "rdma_destroy_ah_attr" },
	{ 0x386b391, "ib_set_client_data" },
	{ 0x2ce8b8e6, "init_net" },
	{ 0xbc9ba71f, "ib_get_cached_pkey" },
	{ 0xa1293881, "configfs_register_subsystem" },
	{ 0xca750839, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6fc8f90b, "rdma_put_gid_attr" },
	{ 0x23bf1bf2, "config_group_init_type_name" },
	{ 0xb1f4a95b, "dev_get_by_index" },
	{ 0x76cce46, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x924ed151, "ib_send_cm_rep" },
	{ 0x9987da2, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf5cb712b, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xe3c5cb0c, "bpf_trace_run1" },
	{ 0xdf8a550a, "ib_destroy_qp_user" },
	{ 0x242512a8, "unregister_pernet_subsys" },
	{ 0x92461711, "ib_cm_init_qp_attr" },
	{ 0xed5526b9, "_dev_warn" },
	{ 0x8c059ef5, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc96a91f4, "rdma_restrack_set_name" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0x1be8b1c3, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xe6c0cb22, "ib_get_cached_port_state" },
	{ 0x260a55eb, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x418df344, "rdma_restrack_del" },
	{ 0xcc6698f5, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xfc60a2ca, "bpf_trace_run3" },
	{ 0xbc48d9db, "__put_net" },
	{ 0x884d9c05, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xebf2e1b9, "iw_cm_accept" },
	{ 0xfceeaedd, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeb6a2597, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xedde1c96, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xb2f7eb66, "iw_cm_init_qp_attr" },
	{ 0xea215d21, "dst_release" },
	{ 0x48c2dbfc, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb8d0f81, "ib_send_cm_dreq" },
	{ 0x2878447, "ib_send_cm_req" },
	{ 0xa4f46715, "ib_create_qp_kernel" },
	{ 0xed949a11, "ib_sa_join_multicast" },
	{ 0xfd112070, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x284930c0, "rdma_get_gid_attr" },
	{ 0x1abcb4e9, "kmalloc_trace" },
	{ 0x7d838ca7, "rdma_restrack_new" },
	{ 0x15deb3f0, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0xc2dab0f7, "iw_cm_listen" },
	{ 0xe6de1edb, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ade7078, "rdma_copy_src_l2_addr" },
	{ 0x2d2a301a, "kmalloc_caches" },
	{ 0x329e7849, "rdma_resolve_ip" },
	{ 0xcccb8a67, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc0e1f187, "iw_create_cm_id" },
	{ 0x16c895f5, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe9ea5abd, "ib_unregister_client" },
	{ 0xd3db7d23, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x36e4fb92, "ib_send_cm_sidr_rep" },
	{ 0x129a60f4, "bpf_trace_run4" },
	{ 0x7592d7ca, "config_group_init" },
	{ 0x8e0ed47c, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x1bc2d96f, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9b8d4e71, "trace_raw_output_prep" },
	{ 0x8554d253, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf5863867, "__trace_trigger_soft_disabled" },
	{ 0xb642e855, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x5fd1114c, "trace_event_raw_init" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x91f2a9d4, "rdma_query_gid" },
	{ 0x4da1b120, "rt6_lookup" },
	{ 0x7a57a203, "pcpu_hot" },
	{ 0x4322c222, "rdma_translate_ip" },
	{ 0x2844ca24, "bpf_trace_run2" },
	{ 0xa6a504ef, "rdma_dev_access_netns" },
	{ 0x8eafc769, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8dfa809f, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf5835414, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfa56bef, "register_pernet_subsys" },
	{ 0xe5581cef, "trace_event_buffer_commit" },
	{ 0x67d39922, "ip_mc_inc_group" },
	{ 0x3de0deb7, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x1c735910, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1f4eca0f, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs,mlx_compat");

