#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_pcie_print_link_status, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_num, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_gids, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_pkeys, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_core_set_dc_cnak_trace, "_gpl", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xa69f39b8, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x6e8b03a0, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x7deaca5e, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xff43a8fa, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x7e6690af, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xce83cd89, "");
SYMBOL_CRC(mlx5_cmd_check, 0xd145ee6b, "");
SYMBOL_CRC(mlx5_cmd_do, 0x1949b1c7, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x401fa6a7, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x768cdf5c, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xf23f514a, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xf9ed1e1f, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x857b6fa7, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x02285bb1, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x659c4a2b, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x916a6985, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x5ec7f021, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x7e584c24, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x6d54526a, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xcbc48d62, "");
SYMBOL_CRC(mlx5_eq_enable, 0x3a2311eb, "");
SYMBOL_CRC(mlx5_eq_disable, 0xbd928c3e, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xd0993696, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x6414af50, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x20aaa05c, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x92f4fff4, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x21f0d30a, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xd4f319ed, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xac5d739b, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x4f5f89c2, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x925de51c, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xe025c17d, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xc8df4b9f, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xb2c6ed9e, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xc5bf936b, "");
SYMBOL_CRC(mlx5_pcie_print_link_status, 0x93203561, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xa1843975, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x020459bb, "");
SYMBOL_CRC(mlx5_create_cq, 0x276220b6, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x4352abd7, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xd5037c9c, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xfacf8735, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x35ce94f0, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xd11e1682, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xa874269d, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x72c3c92c, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x4061895a, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x24772ae0, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x26e48e45, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x4481d4fa, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xb9d2329f, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x0bfb0df9, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x15ff30ee, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xe9014646, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x654ec173, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xa93696c2, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xa6bb8077, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x11aca8a0, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x09b59160, "_gpl");
SYMBOL_CRC(mlx5_query_module_num, 0x847a9668, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x580642aa, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x09c705d1, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x2aed5cd6, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xd3d5642e, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x1059e9c1, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x354fe956, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x32a64199, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xb2ee6082, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xa0d1b649, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xc8a1987a, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x64ed774b, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xfad48543, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x46e6e55a, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x41089829, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x77663366, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x6ddbb389, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xa4ec1040, "_gpl");
SYMBOL_CRC(mlx5_core_query_gids, 0x434fe2fe, "_gpl");
SYMBOL_CRC(mlx5_core_query_pkeys, 0x3630c9de, "_gpl");
SYMBOL_CRC(mlx5_core_query_hca_vport_context, 0x0827f2cf, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xfc0b8258, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xfeb7495c, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x78378392, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xfa618bbb, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x92dc4130, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xc32ab954, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x75746b25, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xb6cf16fd, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xd98d9a25, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x956e7e06, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xc1781c79, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x3c5fa81a, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x2eef802f, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x7bc66e03, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xca2f6111, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x8db6a708, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xb0129733, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xf7301ec0, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x3876b774, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x6014b781, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xc8e6819b, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x1b07cd46, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x170dab8c, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x2dafe0ab, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x21ac5321, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x917ba37e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x965b64d1, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xdbfd2ac0, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x855f190b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x05e7bbad, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x74b6f29c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xff23a00a, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x6e73d666, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_vlans, 0x7d0c853b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xcb5ec4b9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x6569f26b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x2fe3b80f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x1e2967d1, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x27032ce3, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xea21ddc9, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x9c3e38d3, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x60fc9ce1, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x29d4314e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x5e23490a, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x0b5d5a97, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x059acf18, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x6f0748c0, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x20dd835e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x671a7428, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x742b4e4f, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x36b4c4e1, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x257a516a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x0b740002, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x391606c4, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x915c2f84, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x5021b14f, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xd931c8bb, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x0e6ebb4c, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x0c058797, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x96fdb4f8, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x463df4ae, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x9a1ae808, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xcfadea12, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xcd4c6359, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xa91ddaa8, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xe650e9d1, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x52d4dfe6, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x9523e1e3, "");
SYMBOL_CRC(mlx5_msix_free, 0x331c3977, "");
SYMBOL_CRC(mlx5_fc_create, 0xf50f52ca, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xd7461304, "");
SYMBOL_CRC(mlx5_fc_query, 0x3fc48ef7, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xfb63b1b9, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x15c3d3cd, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xfeca7678, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x44c62316, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xb66f3f50, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xcf100bf2, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x3124d8ef, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xebcbee7f, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x21404b7b, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xd28fa0d9, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x4c7dddf9, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xdcfd8026, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xbbae311b, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x51f5e12a, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xc65752ba, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xca99185f, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x30d680dc, "");
SYMBOL_CRC(mlx5_notifier_register, 0x88bad7ea, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x33eb53f5, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x1df24d7c, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x042a917b, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x711b3e23, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x5cd71103, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x9ea63e45, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x6f4eb126, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x8bbf0d40, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x13abcc92, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x22abba83, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0xbabf7b51, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0xea504cd2, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x72448d00, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x4344fb11, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xdb503ac3, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x890ab5e1, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x9509276b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0xe14f12d8, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x10f10d25, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xbed0d142, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x78b4aa1c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xb8a93751, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x1e7ecc15, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xe7c4fafe, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x0d7b3ce7, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x3d3b49a9, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x5216f148, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x34261623, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x6903566a, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xd069d0ed, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x2faa546b, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xb4b7369c, "");
SYMBOL_CRC(mlx5_core_set_dc_cnak_trace, 0x3f48d205, "_gpl");
SYMBOL_CRC(mlx5_wc_support_get, 0x68f7355e, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xa9aab0a2, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xec7e32eb, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x43485e17, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x89498178, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x941d693a, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xf6c36a30, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xca2da5f6, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x7892e0f2, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xe12cbfda, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xa2a74079, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x8f85b32c, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x28c1e6c1, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xa1d16b70, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xc30b1d9d, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x62fcc199, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xd2342f86, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x6580aab2, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x4151650f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x825bc541, "__SCK__tp_func_xdp_exception" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xf095cecb, "pci_restore_state" },
	{ 0xe3c5cb0c, "bpf_trace_run1" },
	{ 0x9bff1d1d, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x62c2d43f, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0x96f1ee56, "proc_mkdir" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xda4d6c03, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xff5d8488, "page_pool_create" },
	{ 0x3e6aca5a, "skb_checksum" },
	{ 0x468fb1b7, "page_pool_put_defragged_page" },
	{ 0x5222d189, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xed5526b9, "_dev_warn" },
	{ 0xd368c7c7, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x565b7915, "devl_resources_unregister" },
	{ 0xe552b6b3, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x6bdd2839, "netif_schedule_queue" },
	{ 0x86d40837, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0xedc24977, "pci_set_master" },
	{ 0x3db0fda3, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7643b71, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6d39e766, "flow_rule_match_ipv6_addrs" },
	{ 0x6f6a4694, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x314f6901, "devl_params_unregister" },
	{ 0xf998f5ad, "ptp_clock_unregister" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0x44364d0d, "__pskb_pull_tail" },
	{ 0xdf5a7209, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xb3d00be, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x4b90d2ab, "devlink_trap_report" },
	{ 0xce2be367, "__neigh_event_send" },
	{ 0x98894a69, "flow_block_cb_alloc" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xd7922259, "dev_printk_emit" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0x573e2236, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7cffaeb4, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x35ea35b9, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xeaef2576, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x204b1e2c, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xc53feb62, "pv_ops" },
	{ 0x7f425a84, "sysfs_remove_group" },
	{ 0x6b9190b0, "flow_rule_match_enc_control" },
	{ 0xfc60a2ca, "bpf_trace_run3" },
	{ 0xffe27a0a, "seq_read" },
	{ 0x715f2a16, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc555a5a2, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x63bb76df, "debugfs_create_file" },
	{ 0x22d63e7, "rps_may_expire_flow" },
	{ 0x9ba5bc63, "mlxdevm_param_driverinit_value_get" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xd34b23a5, "xsk_set_tx_need_wakeup" },
	{ 0x59738862, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1101de3e, "netdev_reset_tc" },
	{ 0x8a6a1fed, "neigh_destroy" },
	{ 0x3a8103b9, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfceeaedd, "trace_event_buffer_reserve" },
	{ 0x9593ad41, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3fe765d6, "debugfs_create_x32" },
	{ 0x85df9b6c, "strsep" },
	{ 0x4b931a5f, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf8515a54, "flow_rule_match_enc_ports" },
	{ 0xb0e6e0cb, "xdp_return_frame_bulk" },
	{ 0xd686331e, "mlxdevm_port_register" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9c8575, "pci_release_regions" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x827f0974, "bpf_prog_add" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x3f8cda6c, "devl_assert_locked" },
	{ 0x87742baa, "pcie_print_link_status" },
	{ 0x1de8185e, "xp_set_rxq_info" },
	{ 0x18fcfa1e, "flow_rule_match_vlan" },
	{ 0x2c8dd08a, "alloc_pages" },
	{ 0xc9edae82, "devl_port_unregister" },
	{ 0x365a5253, "xdp_rxq_info_unreg" },
	{ 0x8a0f19b1, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xb8b49c4e, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4ddee371, "napi_build_skb" },
	{ 0xdaf78aec, "netdev_master_upper_dev_get_rcu" },
	{ 0x3de2a8cf, "__xdp_rxq_info_reg" },
	{ 0xdf406b37, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd3d69929, "remove_proc_entry" },
	{ 0x5073c648, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5666610, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0xbbbf5315, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbbd31375, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2cbc686f, "netif_carrier_off" },
	{ 0xa11f0466, "seq_printf" },
	{ 0xb4be4a7f, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1db1e898, "devlink_priv" },
	{ 0x4a2e1456, "devlink_port_register_with_ops" },
	{ 0x865956ef, "pci_disable_sriov" },
	{ 0x1a82956e, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xea215d21, "dst_release" },
	{ 0xa93c1d7d, "netif_carrier_on" },
	{ 0x13296d40, "netdev_set_num_tc" },
	{ 0xc4a1eaf7, "kobject_uevent" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xc87aee18, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9a65c8ae, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xec9b11c7, "pci_disable_device" },
	{ 0x6831ed5, "mlxdevm_port_unregister" },
	{ 0xaff12a85, "boot_cpu_data" },
	{ 0xee723ef6, "xp_free" },
	{ 0x5599e98e, "page_pool_update_nid" },
	{ 0xdba05f6d, "single_release" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0xfc3743b0, "dma_set_mask" },
	{ 0x256ce2d, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x584cacc9, "netif_set_tso_max_size" },
	{ 0x87bcd914, "vlan_dev_vlan_id" },
	{ 0x49b77063, "__skb_flow_dissect" },
	{ 0xf5ce7221, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf00bde79, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x1abcb4e9, "kmalloc_trace" },
	{ 0x565ade70, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x8884c5a9, "xp_raw_get_data" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc29bf967, "strspn" },
	{ 0x929f4a63, "napi_schedule_prep" },
	{ 0x74faa9dc, "qdisc_reset" },
	{ 0x151b4c48, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x42fe498a, "xp_alloc_batch" },
	{ 0xb6208ab3, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x18e40cf1, "napi_disable" },
	{ 0xff975fd0, "dev_kfree_skb_any_reason" },
	{ 0x279e245d, "dcb_ieee_delapp" },
	{ 0x3098b66c, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x8500aa5f, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3b311637, "debugfs_create_u8" },
	{ 0xf328d81f, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x4549693, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x34a3c077, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf21f3b29, "skb_ext_add" },
	{ 0x9271ae4b, "pcie_bandwidth_available" },
	{ 0xa4c19d50, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc4222ca7, "flow_rule_match_control" },
	{ 0x6e9e1586, "flow_rule_match_ip" },
	{ 0xe6e45036, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x9a6b24c7, "backport_net_dim_get_def_tx_moderation" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x8572952e, "dcb_ieee_setapp" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x5b7f2a7e, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc0ed873, "xsk_tx_release" },
	{ 0xfa3ac9c2, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x31f9916f, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x434d31d2, "pci_write_config_dword" },
	{ 0x2d2a301a, "kmalloc_caches" },
	{ 0x34ce9231, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x92e2bb8a, "device_remove_file" },
	{ 0x5ed34bc3, "neigh_lookup" },
	{ 0x573b2bef, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xe795e4bc, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4c47693b, "__tracepoint_xdp_exception" },
	{ 0xd3b69c88, "xsk_tx_completed" },
	{ 0x9a98755e, "alloc_etherdev_mqs" },
	{ 0x1ecc11f7, "netdev_lower_get_next" },
	{ 0x6eeb6e11, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd26701ae, "pci_save_state" },
	{ 0x191df6f5, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xebe52d74, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9d4a34b1, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x23002acf, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6f54e091, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6032a411, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x153e0da9, "bpf_prog_put" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xefcf5e45, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x853f2561, "pci_cfg_access_unlock" },
	{ 0xfee08dea, "xp_dma_map" },
	{ 0x129a60f4, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6c973cbc, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xbf27d566, "skb_copy_bits" },
	{ 0x876ba196, "debugfs_attr_write" },
	{ 0xa3a19bb9, "dma_pool_create" },
	{ 0x9c9bff5f, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbd3b822a, "pci_msix_vec_count" },
	{ 0x60fb42e3, "backport_net_dim_get_rx_moderation" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd3ecccad, "pci_enable_device" },
	{ 0xb0693e65, "skb_put" },
	{ 0x851498c4, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf0a0c885, "call_switchdev_notifiers" },
	{ 0x4a4f3ed1, "sysfs_create_file_ns" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x6587446a, "__napi_alloc_skb" },
	{ 0x8ea14a91, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd87ec866, "register_fib_notifier" },
	{ 0x473c43f3, "auxiliary_device_init" },
	{ 0x349a53e3, "ip6_dst_hoplimit" },
	{ 0x84e11e21, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x76891f15, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x139bbfe3, "trace_seq_printf" },
	{ 0xc67ba919, "pci_alloc_irq_vectors" },
	{ 0xc0ed7234, "netif_napi_add_weight" },
	{ 0x5a23c603, "pci_enable_atomic_ops_to_root" },
	{ 0xc657d7f5, "seq_release" },
	{ 0xc564b930, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x9b8d4e71, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xa7134308, "xsk_clear_tx_need_wakeup" },
	{ 0xfc916514, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7dedbb6a, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xa5dcf5b8, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xae642066, "ndo_dflt_bridge_getlink" },
	{ 0x22e35395, "unregister_netdev" },
	{ 0x3bb90c0d, "sysfs_add_file_to_group" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x727459fd, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf5863867, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x208ab232, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x909f8976, "register_netdevice_notifier_dev_net" },
	{ 0x1160619b, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb642e855, "trace_event_printf" },
	{ 0xeceaa8a4, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcf16635f, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x22abdff3, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x39c9d88c, "xas_find" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xec135b39, "dma_sync_single_for_device" },
	{ 0x53c74d32, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x41b5bef7, "pci_num_vf" },
	{ 0x9e35c3ed, "debugfs_create_atomic_t" },
	{ 0xffcb918a, "flow_rule_match_eth_addrs" },
	{ 0x21049dab, "mlxdevm_param_driverinit_value_set" },
	{ 0x4d9d84f8, "skb_add_rx_frag" },
	{ 0x962c15e4, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb3b146ea, "ptp_clock_index" },
	{ 0x31833f76, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x5fd1114c, "trace_event_raw_init" },
	{ 0x5f14169b, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3806f3e6, "xp_can_alloc" },
	{ 0xf8eda321, "dev_get_iflink" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x47eda6a7, "devlink_alloc_ns" },
	{ 0xd47a2314, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x3f2abb9, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd3da81cb, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x8e39eb8f, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0x7a57a203, "pcpu_hot" },
	{ 0xf2fe2f15, "seq_lseek" },
	{ 0x98f7fca3, "page_pool_destroy" },
	{ 0xd475d932, "xdp_do_redirect" },
	{ 0xf30911ed, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x20bd4e33, "devm_device_add_group" },
	{ 0x311df486, "proc_create_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2844ca24, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x6f5c646c, "netdev_warn" },
	{ 0xf6294f50, "mlxdevm_params_unregister" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x9eb0fbf2, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc4e7227d, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcf404989, "pci_irq_vector" },
	{ 0xd83f633b, "flow_rule_match_ipv4_addrs" },
	{ 0xe3e1deb0, "ip_route_output_flow" },
	{ 0x2de42ffe, "__netif_napi_del" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x635e466d, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3aaa26f0, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x69436d45, "__dev_get_by_name" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xe05877a7, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xd42d7682, "netdev_err" },
	{ 0xc9414038, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x22ac123c, "mlxdevm_params_publish" },
	{ 0x40cee68f, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc9819501, "dev_driver_string" },
	{ 0x9b7cd6ed, "netdev_port_same_parent_id" },
	{ 0xe5581cef, "trace_event_buffer_commit" },
	{ 0xe2cb2e49, "dev_addr_mod" },
	{ 0x26fefd1, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x4bfd2268, "ptp_find_pin" },
	{ 0xc0bf959a, "eth_type_trans" },
	{ 0xc74e4365, "pci_read_config_dword" },
	{ 0xbf419d4c, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x357f6bae, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4852e2e, "auxiliary_driver_unregister" },
	{ 0xc6296a95, "dma_map_page_attrs" },
	{ 0x7ab821a9, "trace_seq_putc" },
	{ 0xcf04ea4f, "napi_complete_done" },
	{ 0xdcd4154d, "mlxdevm_port_attr_set" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc8ad1be3, "mlxdevm_rate_nodes_destroy" },
	{ 0x50dd9a83, "devlink_port_attrs_pci_vf_set" },
	{ 0x425cae7d, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x8975af5a, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x865f2eb2, "put_device" },
	{ 0x2fb60250, "sysfs_remove_file_ns" },
	{ 0x7010614d, "__napi_schedule" },
	{ 0xc3ae609a, "devlink_port_health_reporter_create" },
	{ 0x88dffed3, "mlxdevm_port_type_eth_set" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9a4cb364, "pcie_relaxed_ordering_enabled" },
	{ 0x565d70cf, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x67237f50, "kmalloc_node_trace" },
	{ 0x21a7106f, "devlink_port_attrs_pci_pf_set" },
	{ 0x2574fc3, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x3a3fd58d, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9172968, "mlxdevm_rate_group_unregister" },
	{ 0xd85f138b, "__free_pages" },
	{ 0x8ac04fad, "kmem_cache_alloc" },
	{ 0xdca21f24, "backport_net_dim_get_tx_moderation" },
	{ 0x9f984513, "strrchr" },
	{ 0xab4334a3, "_dev_info" },
	{ 0x4b608a81, "skb_vlan_pop" },
	{ 0x7ef7355d, "napi_gro_receive" },
	{ 0xdcea9d2f, "netif_device_attach" },
	{ 0xd32fc7b1, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x998dc735, "mlxdevm_unregister" },
	{ 0x9d54e851, "netdev_pick_tx" },
	{ 0x7cd6cb67, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb7958b24, "xp_raw_get_dma" },
	{ 0x9bb84d09, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xab1b5c03, "mlxdevm_params_register" },
	{ 0x287922e1, "xdp_rxq_info_is_reg" },
	{ 0x2a3a2b11, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf03feae9, "ptp_classify_raw" },
	{ 0xc2c5802, "work_busy" },
	{ 0xcd088890, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0xf0d27500, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x5469b9c3, "devl_health_reporter_create" },
	{ 0x22126736, "flow_block_cb_setup_simple" },
	{ 0xe8d760f4, "pci_msix_can_alloc_dyn" },
	{ 0x8826a41c, "device_create_file" },
	{ 0x399fd5f6, "flow_rule_match_basic" },
	{ 0x54ec6de0, "unregister_netdevice_notifier_dev_net" },
	{ 0x3324e1a9, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x9369c499, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe0f48fd0, "debugfs_lookup" },
	{ 0x280beb66, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x382870a0, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xc13ab62b, "backport_net_dim" },
	{ 0xa444eda2, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x24cd0767, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe3259f97, "__dev_get_by_index" },
	{ 0x4020e80a, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x595a765f, "devlink_port_unregister" },
	{ 0xaabfa893, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7757a192, "_dev_err" },
	{ 0x2ce8b8e6, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x5d2cede0, "softnet_data" },
	{ 0xa8283e87, "ipv6_stub" },
	{ 0xff8d5900, "simple_open" },
	{ 0xf2147614, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x3057cefd, "debugfs_create_file_unsafe" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xe74b912c, "xdp_return_frame" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x763ca218, "simple_attr_release" },
	{ 0xb081c3ab, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x4d46c02c, "xp_dma_sync_for_cpu_slow" },
	{ 0x651c4c68, "xsk_tx_peek_desc" },
	{ 0x4a9107e2, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x50915b55, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x656b7180, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd6b8425, "irq_get_irq_data" },
	{ 0x3df6cf02, "dev_remove_pack" },
	{ 0xebc80148, "mlxdevm_port_get_by_index" },
	{ 0x98d8f10b, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xb1f4a95b, "dev_get_by_index" },
	{ 0x1bf228a1, "bpf_trace_run5" },
	{ 0x8a5bbc55, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa88f44cf, "devl_port_register_with_ops" },
	{ 0x5844b787, "dev_get_by_index_rcu" },
	{ 0x65eb7adf, "kfree_skb_reason" },
	{ 0xdd59f52d, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0xb0761c33, "mlxdevm_rate_group_register" },
	{ 0xbdf788b6, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x1a6dfae4, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8869bbe9, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xac8c0364, "kmem_cache_free" },
	{ 0xc379bfb6, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xcdde0b3f, "debugfs_remove" },
	{ 0x2f85c7a0, "pci_read_config_word" },
	{ 0x5da16fb4, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x22051062, "xsk_clear_rx_need_wakeup" },
	{ 0x8101a2ca, "unregister_netdevice_notifier_net" },
	{ 0xf1cc20b9, "xsk_uses_need_wakeup" },
	{ 0x39d94e53, "register_netdev" },
	{ 0xd579645c, "unregister_fib_notifier" },
	{ 0x9987da2, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0x6f570d4d, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x630cb2cd, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf6fc0037, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xf27fb858, "mlxdevm_register" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa0513918, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb72aa5fd, "kobject_init_and_add" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x41c7b918, "sysfs_remove_file_from_group" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x31365cce, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf7c69ffd, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x9933fbb6, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x95aa2e3, "__ethtool_get_link_ksettings" },
	{ 0x1f4eca0f, "module_layout" },
};

MODULE_INFO(depends, "mlx_compat,mlxdevm,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "129D3E575801C47D7A66820");
